
// Principal Options

// Performance
$enable-caret:                                true    !default;
$enable-rounded:                              false   !default;
$enable-shadows:                              false   !default;
$enable-gradients:                            false   !default;
$enable-transitions:                          true    !default;
$enable-prefers-reduced-motion-media-query:   false   !default;
$enable-hover-media-query:                    false   !default; // Deprecated, no longer affects any compiled CSS
$enable-grid-classes:                         true    !default;
$enable-pointer-cursor-for-buttons:           true    !default;
$enable-print-styles:                         true    !default;
$enable-responsive-font-sizes:                true    !default;
$enable-validation-icons:                     true    !default;
$enable-deprecation-messages:                 true    !default;
$enable-animations:                           true    !default;
$enable-dropdown-item-cursor-pointer:         true    !default;

// Animations
$form-animation-name:                         'entry'             !default;
$dropdown-animation-name:                     'animated-dropdown' !default;
$modal-animation-name:                        'fall'              !default;
$toast-animation-name:                        'fall'              !default;
$nav-tab-animation-name:                      'faded'             !default;

// Push
// When it press a button or other element
$push:                                         scale(.98) !default;

// Z-index master list
//
// Warning: Avoid customizing these values. They're used for a bird's eye view
// of components dependent on the z-axis and are designed to all work together.

$zindex-dropdown:                             1000 !default;
$zindex-sticky:                               1020 !default;
$zindex-fixed:                                1030 !default;
$zindex-modal-backdrop:                       1040 !default;
$zindex-modal:                                1050 !default;
$zindex-popover:                              1060 !default;
$zindex-tooltip:                              1070 !default;

$body-bg:                                    #f2f4f8 !default;
$body-color:                                 #3e5569 !default;
$body-height:                                  100vh   !default;

$border-width:                                1px               !default;
$border-color:                                $gray-300         !default;

$border-radius-lg:                            .3rem   !default;
$border-radius:                               .25rem  !default;
$border-radius-sm:                            .2rem   !default;

$rounded-pill:                                50rem   !default;

$box-shadow-sm:                               0 .125rem .25rem rgba($black, .075)   !default;
$box-shadow:                                  0 2px 4px rgba($silver, .3)           !default;
$box-shadow-lg:                               0 1rem 3rem rgba($black, .175)        !default;
$neumorphism-shadow:                          2px 2px 2px rgba($gray, .18),
                                              inset 9px 9px 16px rgba($white, .18)  !default;

$component-hover-bg:                          $gray-lightest                !default;
$component-active-color:                      $white !default; // $body-color             !default;
$component-active-bg:                         $primary !default; // rgba($gray-lighter, .6) !default;

$caret-width:                                 .3em               !default;
$caret-vertical-align:                        $caret-width * .85 !default;
$caret-spacing:                               $caret-width * .85 !default;

$transition-base:                             all .3s ease-in-out !default;
$transition-fade:                             opacity .15s linear !default;
$transition-collapse:                         height .35s ease !default;

$embed-responsive-aspect-ratios: () !default;
$embed-responsive-aspect-ratios: join(
  (
    (21 9),
    (16 9),
    (4 3),
    (1 1),
  ),
  $embed-responsive-aspect-ratios
);

// Set a specific jump point for requesting color jumps
$theme-color-interval:      8% !default;

// The yiq lightness value that determines when the lightness of color changes from "dark" to "light". Acceptable values are between 0 and 255.
$yiq-contrasted-threshold:  150 !default;

// Customize the light and dark text colors for use in our YIQ color contrast function.
$yiq-text-dark:             $gray-900 !default;
$yiq-text-light:            $white !default;

// Characters which are escaped by the escape-svg function
$escaped-characters: (
  ("<","%3c"),
  (">","%3e"),
  ("#","%23"),
) !default;

// Spacing
//
// Control the default styling of most Bootstrap elements by modifying these
// variables. Mostly focused on spacing.
// You can add more entries to the $spacers map, should you need more variation.

$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge(
  (
    0: 0,
    1: ($spacer * .25),
    2: ($spacer * .5),
    3: $spacer,
    4: ($spacer * 1.5),
    5: ($spacer * 3)
  ),
  $spacers
);

// This variable affects the `.h-*` and `.w-*` classes.
$sizes: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$sizes: map-merge(
  (
    0: 0,
    25: 25%,
    50: 50%,
    75: 75%,
    100: 100%,
    auto: auto
  ),
  $sizes
);


// Darken percentage for links with `.text-*` class (e.g. `.text-success`)
$emphasized-link-hover-darken-percentage: 15% !default;

// Paragraphs
//
// Style p element.

$paragraph-margin-bottom:   1rem !default;


// Grid breakpoints
//
// Define the minimum dimensions at which your layout will change,
// adapting to different screen sizes, for use in media queries.

$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 992px,
  xl: 1200px
) !default;

@include _assert-ascending($grid-breakpoints, "$grid-breakpoints");
@include _assert-starts-at-zero($grid-breakpoints, "$grid-breakpoints");


// Grid containers
//
// Define the maximum width of `.container` for different screen sizes.

$container-max-widths: (
  sm: 540px,
  md: 720px,
  lg: 960px,
  xl: 1140px
) !default;

@include _assert-ascending($container-max-widths, "$container-max-widths");


// Grid columns
//
// Set the number of columns and specify the width of the gutters.

$grid-columns:                12    !default;
$grid-gutter-width:           25px  !default;
$grid-row-columns:            6     !default;
